## org.eclipse.emf.databinding.internal
Class EMFValueProperty

    java.lang.Object
      org.eclipse.core.databinding.property.value.ValueProperty
          org.eclipse.core.databinding.property.value.SimpleValueProperty
              org.eclipse.emf.databinding.internal.EMFValueProperty

All Implemented Interfaces:
  IProperty, IValueProperty

Direct Known Subclasses:
  EMFEditValueProperty

    public class EMFValueProperty

extends SimpleValueProperty

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

Since:
  2.5

Constructor Summary
`EMFValueProperty(EStructuralFeature eStructuralFeature)`

Method Summary
`INativePropertyListener` `adaptListener(ISimplePropertyListener listener)`
`protected java.lang.Object` `doGetValue(java.lang.Object source)`
`protected void` `doSetValue(java.lang.Object source, java.lang.Object value)`
`protected EStructuralFeature` `getFeature()`
`java.lang.Object` `getValueType()`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.core.databinding.property.value.SimpleValueProperty
`getValue, observe, observeDetail, observeDetail, observeDetail, setValue`

Methods inherited from class org.eclipse.core.databinding.property.value.ValueProperty
`list, map, observe, observeDetail, set, value, valueFactory, valueFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EMFValueProperty

    public EMFValueProperty(EStructuralFeature eStructuralFeature)

Parameters:
  `eStructuralFeature` -

Method Detail

### getValueType

    public java.lang.Object getValueType()

### getFeature

    protected EStructuralFeature getFeature()

  Returns:
    the feature

### doGetValue

    protected java.lang.Object doGetValue(java.lang.Object source)

  Specified by:
    `doGetValue` in class `SimpleValueProperty`

### doSetValue

    protected void doSetValue(java.lang.Object source,
                              java.lang.Object value)

  Specified by:
    `doSetValue` in class `SimpleValueProperty`

### adaptListener

    public INativePropertyListener adaptListener(ISimplePropertyListener listener)

  Specified by:
    `adaptListener` in class `SimpleValueProperty`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.